#!/sbin/ksh

TARGET=/etc/TIMEZONE

#This shell script was seperated from the install script in order
#to facilitate the yearly update of the /twc/TIMEZONE file
#and to make sure it agrees with the DIF.

new_tz=`/twc/bin/db_exp -F c_star_unix_tz_str -s dif /twc/dif/wxl_dif`

if [ ${new_tz}X != X ]
then

	echo "# START TWC_INSTALL put this here" >${TARGET}
	echo "#	Set timezone environment to default for the machine" >> ${TARGET}
	echo "TZ="${new_tz} >> ${TARGET}
	echo "# END of TWC_INSTALL" >> ${TARGET}

fi
